/*Display Property*/

/*div - block can be changed by width*/
.div-1{
	background-color: green;
	display: inline;
}

/*if inline hindi nababago ang property ng width and height*/
#span-1{
	background-color: purple;
	display: none;
	width: 200px;
	height:200px;
}

#span-2{
	background-color: red;
	display: block;
}

#div-2{
	display: none;
}
#img{
	width: 250px;
	height: 250px;
}
#p-1{
	background-color: #87CEFA;
}

#p-2{
	background-color: rgb(255,105,100);
	width: 60%;
}

#p-3{
	width: 40%;
	background-color: yellow;
}

.sample{
	display: inline-block;
	width: 30%;
	border: 1px solid black;
	text-align: center;
}

/*float property*/
.img-float{
	width: 50px;
	height: 50px;
	float: left;
}
.box{
	background-color: red;
	border: 1p solid black;
	margin: 5px;
}

.fifty-percent{
	width: 50%;
}

.one-hundred-pixels{
	width: 50px;
}

.fifty-vw{
	width: 50vw;
}

.fifty-vh{
	height: 50vh;
	
}
.parent{
	width: 135px;
	border: 2px solid navy;
}
.one-rem{
	font-size: 1rem;
}
.two-rem{
	font-size: 2rem;
}
.one-em{
	font-size: 1em;
}
.two-em{
	font-size: 2em;
}

.background{
	min-height: 100vh;
	background-color: gray;
	background-image: url(https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg);
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center center;
}

.bg-title{
	color: white;
	text-align: center;
	font-size: 5em;
	line-height: 30em;
	/*80em*/
}	

.container-bg{
	min-height: 100vh;
	background-color: rgba(0, 0, 0, 0.5);
}

/*CSS Positioning*/
.parent-element{
	background-color: skyblue;
	padding: 10px;
	/*padding space beetween element and border*/
	min-height: 200vh;
}
.child-one{
	background-color: gray;
	padding: 10px;
}

.child-two{
	background-color: yellow;
	top: 10px;
	padding: 10px;
	/*static - it will follow yung ating document flow*/
	/*absolute papatung sa next*/
	/*relative bibigay ng space*/
	position: absolute;
}

.child-three{
	background-color: gray;
	padding: 10px;
}

/*z-index property*/
.container{
	position: relative;
}
.black-box{
	position: relative;
	border: 2px solid black;
	height: 100px;
	width: 30px;
}
.gray-box{
	position: absolute;
	background-color: lightgray;
	height: 60px;
	width: 70%;
	left: 50px;
	top: 50px;
	z-index: 2;
}
.green-box{
	position: absolute;
	background-color: lightgreen;
	width: 30%;
	left: 270px;
	top: -15px;
	height: 100px;
	z-index: 1;
}